/*
 * Copyright (C) 2005  Heinz Mauelshagen, Red Hat GmbH.
 *                     All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#include "internal.h"
#include "monitor.h"

/*
 * External monitoring daemon interface for (de)activation.
 */

/* Register all devices of a RAID set for event processing. */
static int start_monitoring_set(struct lib_context *lc, struct raid_set *rs)
{
	return 0;
}

/* Unregister all devices of a RAID set for event processing. */
static int stop_monitoring_set(struct lib_context *lc, struct raid_set *rs)
{
	return 0;
}

/* External monitoring interface. */
int monitor(struct lib_context *lc, struct raid_set *rs,
	    enum monitor_action what)
{
	if (lc_opt(lc, LC_TEST))
		return 1;

	switch(what) {
	case MONITOR_START:
		return start_monitoring_set(lc, rs);

	case MONITOR_STOP:
		return stop_monitoring_set(lc, rs);
	}

	return 0;
}
